These are chat archives for ushahidi/Community

14th
Oct 2018
S├ębastien Blais
@seb1080_gitlab
Oct 14 2018 16:27
Hi everyone, I want to contribute to the platform-Client. So I fork the platform on github and I try to deploy on Heroku, so I don't have to install it localy for the first 30 days. During the deployment on Heroku I have this error:
-----> PHP app detected
-----> Bootstrapping...
-----> Installing platform packages...
       - php (7.1.22)
       - ext-gd (bundled with php)
       - ext-mbstring (bundled with php)
       - nginx (1.8.1)
       - apache (2.4.34)
 !     WARNING: Your app's PHP version is close to end of maintenance
 !     
 !     Only security updates will be provided for your PHP version
 !     series by the PHP Group as of 2018-12-01.
 !     
 !     It is strongly recommended you update your app to a version of
 !     PHP with "active support" status immediately to ensure you get
 !     the latest bugfixes and security updates each time you deploy.
 !     
 !     You may check the list of versions supported by the PHP Group
 !     and their EOL dates here: http://php.net/supported-versions.php
 !     
 !     For a list of supported runtimes & extensions on Heroku, please
 !     refer to: https://devcenter.heroku.com/articles/php-support
-----> Installing dependencies...
       Composer version 1.7.2 2018-08-16 16:57:12
       Loading composer repositories with package information
       Installing dependencies from lock file
       Package operations: 99 installs, 0 updates, 0 removals
         - Installing abraham/twitteroauth (0.5.4): Downloading (100%)         
         - Installing aura/di (2.2.0): Downloading (100%)         
         - Installing symfony/polyfill-ctype (v1.9.0): Downloading (100%)
         - Installing paragonie/random_compat (v2.0.17): Downloading (100%)
         - Installing symfony/polyfill-php70 (v1.9.0): Downloading (100%)
         - Installing symfony/polyfill-mbstring (v1.9.0): Downloading (100%)
         - Installing symfony/http-foundation (v3.4.14): Downloading (100%)
         - Installing symfony/event-dispatcher (v3.4.14): Downloading (100%)
         - Installing psr/log (1.0.2): Downloading (100%)
         - Installing symfony/debug (v3.4.14): Downloading (100%)
         - Installing symfony/http-kernel (v3.4.14): Downloading (100%)
         - Installing symfony/translation (v3.4.14): Downloading (100%)
         - Installing nesbot/carbon (1.33.0): Downloading (100%)
         - Installing psr/simple-cache (1.0.1): Downloading (100%)
         - Installing psr/container (1.0.0): Downloading (100%)
         - Installing illuminate/contracts (v5.5.41): Downloading (100%)         
         - Installing doctrine/inflector (v1.2.0): Downloading (100%)
         - Installing illuminate/support (v5.5.41): Downloading (100%)         
         - Installing asm89/stack-cors (1.2.0): Downloading (100%)
         - Installing barryvdh/laravel-cors (v0.11.0): Downloading (100%)         
         - Installing beheh/flaps (dev-master 327110f): Downloading (100%)         
         - Installing ddeboer/data-import (dev-master 1b8f2e6): Downloading (100%)         
         - Installing doctrine/cache (v1.6.2): Downloading (100%)
         - Installing doctrine/lexer (v1.0.1): Downloading (100%)
         - Installing psr/http-message (1.0.1): Downloading (100%)
         - Installing guzzlehttp/psr7 (1.4.2): Downloading (100%)
         - Installing guzzlehttp/promises (v1.3.1): Downloading (100%)
         - Installing guzzlehttp/guzzle (6.3.3): Downloading (100%)
         - Installing germanazo/laravel-ckan-api (1.0.0): Downloading (100%)         
         - Installing symfony/css-selector (v3.4.14): Downloading (100%)
         - Installing tijsverkoyen/css-to-inline-styles (2.2.1): Downloading (100%)
         - Installing egulias/email-validator (2.1.4): Downloading (100%)
         - Installing swiftmailer/swiftmailer (v6.1.2): Downloading (100%)
         - Installing illuminate/container (v5.5.41): Downloading (100%)         
         - Installing erusev/parsedown (1.7.1): Downloading (100%)
         - Installing illuminate/mail (v5.5.41): Downloading (100%)         
         - Installing symfony/finder (v3.4.14): Downloading (100%)
         - Installing illuminate/filesystem (v5.5.41): Downloading (100%)         
         - Installing illuminate/session (v5.5.41): Downloading (100%)         
         - Installing intercom/intercom-php (v3.2.0): Downloading (100%)
         - Installing ircmaxell/password-compat (v1.0.4): Downloading (100%)
         - Installing nikic/fast-route (v1.3.0): Downloading (100%)
         - Installing mtdowling/cron-expression (v1.2.1): Downloading (100%)
         - Installing monolog/monolog (1.23.0): Downloading (100%)
         - Installing illuminate/events (v5.5.41): Downloading (100%)         
         - Installing illuminate/view (v5.5.41): Downloading (100%)         
         - Installing illuminate/translation (v5.5.41): Downloading (100%)         
         - Installing illuminate/validation (v5.5.41): Downloading (100%)         
         - Installing symfony/process (v3.4.14): Downloading (100%)
         - Installing illuminate/database (v5.5.41): Downloading (100%)         
         - Installing symfony/console (v3.4.14): Downloading (100%)
         - Installing illuminate/console (v5.5.41): Downloading (100%)         
         - Installing illuminate/queue (v5.5.41): Downloading (100%)         
         - Installing illuminate/pipeline (v5.5.41): Downloading (100%)         
         - Installing illuminate/pagination (v5.5.41): Downloading (100%)         
         - Installing illuminate/http (v5.5.41): Downloading (100%)         
         - Installing illuminate/hashing (v5.5.41): Downloading (100%)         
         - Installing illuminate/encryption (v5.5.41): Downloading (100%)         
         - Installing illuminate/config (v5.5.41): Downloading (100%)         
         - Installing illuminate/cache (v5.5.41): Downloading (100%)         
         - Installing illuminate/bus (v5.5.41): Downloading (100%)         
         - Installing illuminate/broadcasting (v5.5.41): Downloading (100%)         
         - Installing illuminate/auth (v5.5.41): Downloading (100%)         
         - Installing laravel/lumen-framework (v5.5.2): Downloading (100%)         
         - Installing zendframework/zend-diactoros (1.8.5): Downloading (100%)
         - Installing symfony/psr-http-message-bridge (v1.0.2): Downloading (100%)
         - Installing phpseclib/phpseclib (2.0.11): Downloading (100%)
         - Installing league/event (dev-master 0bfa395): Downloading (100%)
         - Installing lcobucci/jwt (3.2.4): Downloading (100%)
         - Installing defuse/php-encryption (v2.2.1): Downloading (100%)
         - Installing league/oauth2-server (6.1.1): Downloading (100%)
         - Installing firebase/php-jwt (v5.0.0): Downloading (100%)
         - Installing laravel/passport (v4.0.3): Downloading (100%)
         - Installing league/csv (7.2.0): Downloading (100%)         
         - Installing league/flysystem (1.0.45): Downloading (100%)
         - Installing mtdowling/jmespath.php (2.4.0): Downloading (100%)
         - Installing aws/aws-sdk-php (3.64.12): Downloading (100%)         
         - Installing league/flysystem-aws-s3-v3 (1.0.19): Downloading (100%)
         - Installing mikemccabe/json-patch-php (0.1.0): Downloading (100%)         
         - Installing guzzle/guzzle (v3.8.1): Downloading (100%)
         - Installing rackspace/php-opencloud (v1.16.0): Downloading (100%)         
         - Installing league/flysystem-rackspace (1.0.5): Downloading (100%)         
         - Installing php-http/promise (v1.0.0): Downloading (100%)
         - Installing php-http/httplug (v1.1.0): Downloading (100%)
         - Installing php-http/guzzle6-adapter (v1.1.1): Downloading (100%)
         - Installing nexmo/client (1.4.0): Downloading (100%)         
         - Installing ohanzee/database (dev-namespaces 50a712f): Downloading (100%)         
         - Installing ramsey/uuid (3.8.0): Downloading (100%)
         - Installing symfony/yaml (v3.4.14): Downloading (100%)
         - Installing symfony/filesystem (v3.4.14): Downloading (100%)         
         - Installing symfony/config (v3.4.14): Downloading (100%)
         - Installing robmorgan/phinx (v0.8.1): Downloading (100%)         
         - Installing sentry/sentry (1.9.1): Downloading (100%)         
         - Installing sentry/sentry-laravel (0.8.0): Downloading (100%)         
         - Installing symfony/property-access (v2.8.44): Downloading (100%)         
         - Installing symm/gisconverter (v1.0.5): Downloading (100%)         
         - Installing twilio/sdk (5.21.1): Downloading (100%)         
         - Installing ushahidi/kohana-validation (dev-master bddd07f): Downloading (100%)         
         - Installing vlucas/phpdotenv (v2.5.1): Downloading (100%)
       Package guzzle/guzzle is abandoned, you should avoid using it. Use guzzlehttp/guzzle instead.
       Generating optimized autoload files
       Class \SebastianFeldmann\CaptainHook\Composer\Cmd is not autoloadable, can not call post-install-cmd script
       > php artisan passport:keys || php -r "return 0;"

       In MemcachedConnector.php line 69:

         Class 'Memcached' not found  


-----> Running 'composer compile'...
       > phinx migrate -c phinx.php
       Phinx by Rob Morgan - https://phinx.org. 0.8.1

       using config file ./phinx.php
       using config parser php
       using migration paths 
        - /tmp/build_228098f3baf866f68ab31338d991fe14/migrations
       using seed paths 
        - /tmp/build_228098f3baf866f68ab31338d991fe14/seeds
       warning no environment specified, defaulting to: ushahidi
       using adapter mysql
       using database 

       In MysqlAdapter.php line 115:

         There was a problem connecting to the database: SQLSTATE[HY000] [2002] No s  
         uch file or directory                                                        


       migrate [-c|--configuration CONFIGURATION] [-p|--parser PARSER] [-e|--environment ENVIRONMENT] [-t|--target TARGET] [-d|--date DATE]

       Script phinx migrate -c phinx.php handling the migrate event returned with error code 1
       Script @migrate was called via compile
 !     ERROR: Compile step failed!
 !     
 !     Installation of dependencies was successful, but the custom
 !     script you're using to perform actions after 'composer install'
 !     failed with the error above.
 !     
 !     Check that the 'compile' command(s) in the 'scripts' section of
 !     your 'composer.json' are working properly and not running into
 !     timeouts or memory limits.
 !     
 !     For more information on the 'composer compile' step, refer to
 !     https://devcenter.heroku.com/articles/php-support
 !     
 !     REMINDER: the following warnings were emitted during the build;
 !     check the details above, as they may be related to this error:
 !     - Your app's PHP version is close to end of maintenance
 !     Push rejected, failed to compile PHP app.
 !     Push failed